// bibliDlg.h : header file
//

#if !defined(AFX_BIBLIDLG_H__B0A40D51_9EFB_4ECA_A4D7_112357DECC3C__INCLUDED_)
#define AFX_BIBLIDLG_H__B0A40D51_9EFB_4ECA_A4D7_112357DECC3C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "Bibliotheque.h"
#include "NumEdit.h"

/////////////////////////////////////////////////////////////////////////////
// CBibliDlg dialog

class CBibliDlg : public CDialog
{
// Construction
public:
	CBibliDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CBibliDlg)
	enum { IDD = IDD_BIBLI_DIALOG };
	NumEdit	m_emp_no;
	CEdit	m_emp_isbn;
	CComboBox	m_liv_titre;
	CEdit	m_emp_ville;
	CEdit	m_emp_cp;
	CEdit	m_emp_rnom;
	CEdit	m_emp_prenom;
	CComboBox	m_emp_nom;
	CString	m_emp_rtype;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBibliDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CBibliDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnEmpAdd();
	afx_msg void OnEmpSup();
	afx_msg void OnEmpMod();
	afx_msg void OnLivAdd();
	afx_msg void OnLivSup();
	afx_msg void OnQuit();
	afx_msg void OnSelchangeTitre();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

    Bibliotheque	*		myBib;    
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BIBLIDLG_H__B0A40D51_9EFB_4ECA_A4D7_112357DECC3C__INCLUDED_)
